compiletime_settings.h File Reference

Go to the source code of this file.

## Macros

#define | _GLIBCXX_ASSERTIONS
#define | _GLIBCXX_CALL(__n)
#define | _GLIBCXX_RANDOM_SHUFFLE_CONSIDER_L1
#define | _GLIBCXX_RANDOM_SHUFFLE_CONSIDER_TLB
#define | _GLIBCXX_SCALE_DOWN_FPU
#define | _GLIBCXX_VERBOSE_LEVEL

## Detailed Description

Defines on options concerning debugging and performance, at compile-time. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file compiletime_settings.h.

## Macro Definition Documentation

#define _GLIBCXX_ASSERTIONS

Switch on many _GLIBCXX_PARALLEL_ASSERTions in parallel code. Should be switched on only locally.

Definition at line 61 of file compiletime_settings.h.

Referenced by __gnu_parallel::__qsb_local_sort_with_helping().

#define _GLIBCXX_CALL | ( |  | __n | ) |

Macro to produce log message when entering a function.

Parameters

  __n | Input size.

See Also
  _GLIBCXX_VERBOSE_LEVEL

Definition at line 44 of file compiletime_settings.h.

Referenced by __gnu_parallel::__find_template(), __gnu_parallel::__for_each_template_random_access_workstealing(), __gnu_parallel::__merge_advance(), __gnu_parallel::__parallel_nth_element(), __gnu_parallel::__parallel_partial_sum(), __gnu_parallel::__parallel_partition(), __gnu_parallel::__parallel_random_shuffle_drs(), __gnu_parallel::__parallel_sort(), __gnu_parallel::__parallel_sort_qs(), __gnu_parallel::__parallel_sort_qsb(), __gnu_parallel::__parallel_unique_copy(), __gnu_parallel::__search_template(), __gnu_parallel::__sequential_multiway_merge(), __gnu_parallel::multiseq_partition(), __gnu_parallel::multiseq_selection(), __gnu_parallel::multiway_merge(), __gnu_parallel::multiway_merge_3_variant(), __gnu_parallel::multiway_merge_4_variant(), __gnu_parallel::multiway_merge_loser_tree(), __gnu_parallel::multiway_merge_loser_tree_sentinel(), __gnu_parallel::multiway_merge_loser_tree_unguarded(), __gnu_parallel::multiway_merge_sentinels(), __gnu_parallel::parallel_multiway_merge(), and __gnu_parallel::parallel_sort_mwms().

#define _GLIBCXX_RANDOM_SHUFFLE_CONSIDER_L1

Switch on many _GLIBCXX_PARALLEL_ASSERTions in parallel code. Consider the size of the L1 cache for gnu_parallel::__parallel_random_shuffle().

Definition at line 68 of file compiletime_settings.h.

#define _GLIBCXX_RANDOM_SHUFFLE_CONSIDER_TLB

Switch on many _GLIBCXX_PARALLEL_ASSERTions in parallel code. Consider the size of the TLB for gnu_parallel::__parallel_random_shuffle().

Definition at line 74 of file compiletime_settings.h.

#define _GLIBCXX_SCALE_DOWN_FPU

Use floating-point scaling instead of modulo for mapping random numbers to a range. This can be faster on certain CPUs.

Definition at line 55 of file compiletime_settings.h.

#define _GLIBCXX_VERBOSE_LEVEL

Determine verbosity level of the parallel mode. Level 1 prints a message each time a parallel-mode function is entered.

Definition at line 37 of file compiletime_settings.h.